Выполнение произвольных команд в Junkie

Дата публикации:
27.12.2004
Всего просмотров:
849
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2004-1280
CVE-2004-1281
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Junkie FTP Client 0.x
Уязвимые версии: Junkie 0.3.1

Описание:
Обнаружена уязвимость в Junkie. Злонамеренный сервер может выполнить произвольные команды на уязвимой системе.

Уязвимость существует в функции gui_popup_view_fly() файла 'gui_tview_popup.c' и функции ftp_retr() файла 'ftp_cmd.c'. Злонамеренный сервер может послать подключенному клиенту специально сформированный FTP ответ и выполнить произвольный код на уязвимой системе с правами текущего пользвоателя.

URL производителя: junkie.doomed.org

Решение: Решение не существует на данный момент.

Ссылки: Junkie Input Validation Holes Let Remote Servers Execute Arbitrary Commands

или введите имя

CAPTCHA